# m3e/nav_bar

NavBar is a horizontal bar, typically used on smaller devices, that allows a user to switch between 3-5 views.

This file was generated: By: m3e/generator version 0.1.0 At: 2026-05-05T14:38:23+10:00

         DO NOT EDIT

# Types

## NavBar

opaque </>

NavBar is a View Model for this component

## Fields:

- mode: The mode in which items in the bar are presented.

    pub opaque type NavBar

# Values

## default_mode

</>

    pub const default_mode: nav_bar_mode.NavBarMode

## mode

</>

    pub fn mode(arg: NavBar, mode: nav_bar_mode.NavBarMode) -> NavBar

mode sets the value of mode for this NavBar.

## new

</>

    pub fn new(mode: nav_bar_mode.NavBarMode) -> NavBar

new creates a new NavBar with the default configuration.

## render

</>

    pub fn render(
      model: NavBar,
      attributes: List(attribute.Attribute(msg)),
      children: List(element.Element(msg)),
    ) -> element.Element(msg)

render creates a Lustre Element for a NavBar

✨